SYSMOCOM := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESEXTRAPATHS_prepend := "${SYSMOCOM}/busybox-${SYSMOCOM_ORIG_PV}:${SYSMOCOM}/files:"
PRINC = "26"

SRC_URI += "file://busybox-ifplugd.sh \
            file://ifplugd.sh \
            file://udhcpc-ntp.sh \
            file://udhcpc-ntp.default \
           "

PACKAGES =+ "${PN}-ifplugd ${PN}-udhcpc-ntp"

FILES_${PN}-ifplugd = "${sysconfdir}/ifplugd.sh ${sysconfdir}/init.d/busybox-ifplugd.sh"

FILES_${PN}-udhcpc-ntp = "${sysconfdir}/udhcpc.d/60ntp \
                          ${sysconfdir}/default/udhcpc-ntp \
                         "

CONFFILES_${PN}-udhcpc-ntp = "${sysconfdir}/default/udhcpc-ntp"

INITSCRIPT_PACKAGES += "${PN}-ifplugd"
INITSCRIPT_NAME = "busybox-ifplugd.sh"

RDEPENDS_${PN}-udhcpc-ntp = "${PN}-udhcpc"


do_install_append() {
	install -m 0755 ${WORKDIR}/ifplugd.sh ${D}${sysconfdir}/
	install -m 0755 ${WORKDIR}/busybox-ifplugd.sh ${D}${sysconfdir}/init.d/
	install -m 0755 ${WORKDIR}/udhcpc-ntp.sh ${D}/${sysconfdir}/udhcpc.d/60ntp
	install -d ${D}/${sysconfdir}/default
	install -m 0644 ${WORKDIR}/udhcpc-ntp.default ${D}/${sysconfdir}/default/udhcpc-ntp
}
